/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */

/* 
 * File:   _SPITMACROS.h
 * Author: Hagi
 *
 * Created on 13. April 2019, 13:37
 */

#ifndef _SPITMACROS_H
#define _SPITMACROS_H

//To compile for a specific operating system, you must change the precompiler comments.

//In windows Ws2_32.lib Iphlpapi.lib (in gcc: -liphlpapi -lole32) should be added to the linker options
#ifndef OS_WINDOWS 
	#define OS_WINDOWS
	#include <WinSock2.h> //include this here, because it must be included before string.h .. is included
#endif
#ifndef OS_MAC
//	#define OS_MAC
//	#include <unistd.h>
//	#include<uuid/uuid.h>
#endif
#ifndef OS_LINUX
//	#define OS_LINUX
//	#include <unistd.h>
//	#include<uuid/uuid.h>
#endif

//To output debug information (printf calls in the code)
//you must set or comment out this precompiler definition
#ifndef DEBUGOUTPUT
	#define DEBUGOUTPUT
#endif



#include <string>

using namespace std;

//--------- OS specific functions ---------
/** Returns an guid */
string createGUID();
/** Returns the name of the client's host computer*/
string getClientHostName();



#endif /* _SPITMACROS_H */


